
function Herocheck::onEnter()
{
   %heroID = heroCharacter.getID();
	if( stricmp(%heroID.getType(),"Hunter") == 0)
	{
     tsActivateBuildingXP("Tradingpost"); // Unlock Trading Post 
 	}
 	else if( stricmp(%heroID.getType(),"Banker") == 0)
	{
     tsModifyResource($Resource::Gold, 50, true); // Gold bonus
     tsActivateBuildingXP("Bank"); // Unlock Bank
 	}
 	else if( stricmp(%heroID.getType(),"Farmer") == 0)
	{
     tsModifyResource($Resource::Food, 10, true); // Food bonus
     tsActivateButtonXP("ProduceCornCmdData"); // Unlocks the Corn crop
     tsActivateBuildingXP("Windmill"); // Unlock Windmill
 	}
   TaskModifier.strMarkVertex("Herostats", "Herocheck", $TSV_CMPLETE);
}
